Page MenuHomePhabricator

Parsoid Cite: Render missing reflists
Closed, ResolvedPublic0 Story Points

Description

Since https://gerrit.wikimedia.org/r/#/c/141583/, Cite.php renders missing reflists (that is, left over refs that haven't been rendered in a references group yet) at the bottom of the page. Parsoid's Cite extensions should do the same.

Event Timeline

marcoil created this task.Feb 5 2015, 9:18 AM
marcoil raised the priority of this task from to Needs Triage.
marcoil updated the task description. (Show Details)
marcoil added a project: Parsoid.
marcoil added a subscriber: marcoil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2015, 9:18 AM
ssastry triaged this task as High priority.Feb 5 2015, 5:03 PM
ssastry set Security to None.
ssastry moved this task from Backlog to VE Q3 on the Parsoid board.
marcoil claimed this task.Feb 5 2015, 5:32 PM
gerritbot added a subscriber: gerritbot.

Change 189974 had a related patch set uploaded (by Marcoil):
WIP: T88660: Emit reflists for <ref> with no explicit <references>

https://gerrit.wikimedia.org/r/189974

Patch-For-Review

The WIP in progress patch adds references lists for all <ref> groups that have <ref>s which haven't been output yet. This is different from the current Cite.php's behavior of only outputting orphan <ref>s in the default group, but may be necessary to make T88290 work.

Another issue is that when sending the resulting HTML back to Parsoid for html2wt, the missing <reference>s are included. This may be an acceptable dirty diff as it fixes a problem in the page. Opinions?

ssastry added a subscriber: ssastry.EditedFeb 11 2015, 4:02 PM

I think it is acceptable. In any case, selser will handle the unedited refs scenario.

Change 189974 merged by jenkins-bot:
T88660: Emit reflists for <ref> with no explicit <references>

https://gerrit.wikimedia.org/r/189974

marcoil closed this task as Resolved.Feb 16 2015, 5:42 PM